Ameba::Formatter::TODOFormatter - ameba 1.6.4

# class Ameba::Formatter::TODOFormatter

- Ameba::Formatter::TODOFormatter
- Ameba::Formatter::DotFormatter
- Ameba::Formatter::BaseFormatter
- Reference
- Object

##
Overview

A formatter that creates a todo config. Basically, it takes all issues reported and disables corresponding rules or excludes failed sources from these rules.

##
Defined in:

ameba/formatter/todo_formatter.cr

##
Constructors

- .new(output = STDOUT, config_path : Path = Config::DEFAULT_PATH)

##
Instance Method Summary

- #finished(sources) : Nil

  Reports a message when inspection is finished.

### Instance methods inherited from class `Ameba::Formatter::DotFormatter`

finished(sources) : Nil finished, source_finished(source : Source) : Nil source_finished, started(sources) : Nil started

### Instance methods inherited from module `Ameba::Formatter::Util`

affected_code(issue : Issue, context_lines = 0, max_length = 120, ellipsis = " ...", prompt = "> ")
affected_code(code, location, end_location = nil, context_lines = 0, max_length = 120, ellipsis = " ...", prompt = "> ") affected_code, context(lines, lineno, context_lines = 3, remove_empty = true) context, deansify(message : String | Nil) : String | Nil deansify, trim(str, max_length = 120, ellipsis = " ...") trim

### Instance methods inherited from class `Ameba::Formatter::BaseFormatter`

config : Hash(Symbol, Bool | String) config, finished(sources) : Nil finished, output : IO::FileDescriptor | IO::Memory output, source_finished(source : Source) : Nil source_finished, source_started(source : Source) : Nil source_started, started(sources) : Nil started

### Constructor methods inherited from class `Ameba::Formatter::BaseFormatter`

new(output : IO = STDOUT) new

##
Constructor Detail

def self.new(output = STDOUT, config_path : Path = Config::DEFAULT_PATH) #

##
Instance Method Detail

def finished(sources) : Nil #
Description copied from class Ameba::Formatter::DotFormatter

Reports a message when inspection is finished.